Get All POS User Permissions

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lightspeed Restaurant K-Series MCP server": {
    "url": "https://api-docs.lsk.lightspeed.app/mcp"
  }
}

Close
GET /staff/v1/businessLocations/{businessLocationId}/userTypes/POS/roles

Path parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

Responses

  • 200 application/json

    User permissions List

    Hide response attributes Show response attributes object
    • value string

      The value of the user permission.

    • description string

      The description of the user permission.

GET /staff/v1/businessLocations/{businessLocationId}/userTypes/POS/roles
curl \
 --request GET 'https://api.trial.lsk.lightspeed.app/staff/v1/businessLocations/{businessLocationId}/userTypes/POS/roles' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "value": "ROLE_MANAGER",
    "description": "POS user is a manager"
  }
]